package in.cdac.medinfo.csnotk.csnolib.ecl.constraint;

import org.snomed.langauges.ecl.domain.refinement.SubAttributeSet;

//Changes
import in.cdac.medinfo.csnotk.csnolib.model.Concept;
import java.util.Set;

public class SSubAttributeSet extends SubAttributeSet implements SConstraint {

    @Override
    public Set<Concept> addQuery() {
        if (getAttribute() != null) {
            return ((SConstraint)getAttribute()).addQuery();
        } else {
            return ((SConstraint)getAttributeSet()).addQuery();
        }
    }

    @Override
    public Set<String> getConceptIds() {
        if (attribute != null) {
            return ((SEclAttribute) attribute).getConceptIds();
        }
        return ((SEclAttributeSet) attributeSet).getConceptIds();
    }
}
